/**
 * Copyright (C) 2003-2008 eXo Platform SAS.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see<http://www.gnu.org/licenses/>.
*/

package org.exoplatform.services.ws.soap.jsr181.client;

import java.util.GregorianCalendar;
import javax.xml.datatype.DatatypeFactory;
import javax.xml.datatype.XMLGregorianCalendar;

/**
 * @author <a href="mailto:andrew00x@gmail.com">Andrey Parfonov</a>
 * @version $Id: $
 */
public class Main {
  
  public static void main(String[] args) throws Exception {
    String passenger = "Jonh Smith";
    String departing = "London";
    String arriving = "Paris";
    TicketOrderServiceClient client = new TicketOrderServiceClient();
    XMLGregorianCalendar departureDate = DatatypeFactory.newInstance()
            .newXMLGregorianCalendar(new GregorianCalendar());
    long order = client.getTicketOrderServiceHttpPort().getTicket(departureDate, departing, passenger, arriving);
    System.out.println("You order : " + order + ", Confirm (y/n): ");
    int c = System.in.read();
    switch (c) {
      case 'y':
      case 'Y':
        client.getTicketOrderServiceHttpPort().confirmation(true);
        break;
      case 'n':
      case 'N':
        client.getTicketOrderServiceHttpPort().confirmation(false);
        break;
        default:
        System.out.println("Only 'y' or 'n'");
    }
  }

}
